import os
import info
from Package.CMakePackageBase import *


class subinfo(info.infoclass):
    def setTargets( self ):
        self.targets['2.3'] = "http://download.sourceforge.net/lcms/lcms2-2.3.tar.gz"
        self.targetInstSrc['2.3'] = "lcms2-2.3"
	self.patchToApply['2.3'] = ( 'lcms2-2.3-20111224.diff', 1 )
        self.targetDigests['2.3'] = 'd5b075ccffc0068015f74f78e4bc39138bcfe2d4'
        self.shortDescription = "A small-footprint, speed optimized color management engine"
        self.defaultTarget = '2.3'

    def setDependencies( self ):
        self.buildDependencies['virtual/base'] = 'default'

class Package(CMakePackageBase):
    def __init__( self, **args ):
        self.subinfo = subinfo()
        CMakePackageBase.__init__( self )
        # both examples and tests can be run here
        self.subinfo.options.configure.defines = "-DBUILD_TESTS=OFF -DBUILD_SAMPLES=ON -DBUILD_TOOLS=OFF"

if __name__ == '__main__':
    Package().execute()
